io.agora.rtc.audio3a

## Class AgoraAudioProcessorConfig

- java.lang.Object
- - io.agora.rtc.audio3a.AgoraAudioProcessorConfig

-     public class AgoraAudioProcessorConfig
      extends java.lang.Object

  Configuration for the Agora Audio Processor.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AecConfig` | `aecConfig` The configuration for Acoustic Echo Cancellation (AEC).
    `private AgcConfig` | `agcConfig` The configuration for Automatic Gain Control (AGC).
    `private AnsConfig` | `ansConfig` The configuration for Automatic Noise Suppression (ANS).
    `private BghvsConfig` | `bghvsConfig` The configuration for Background Human Voice Suppression (BGHVS).
    `private java.lang.String` | `modelPath` The file path to the audio processing model.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraAudioProcessorConfig()` Constructs an AgoraAudioProcessorConfig with default settings.
    `AgoraAudioProcessorConfig(java.lang.String modelPath, AecConfig aecConfig, AnsConfig ansConfig, AgcConfig agcConfig, BghvsConfig bghvsConfig)` Constructs an AgoraAudioProcessorConfig with specified settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AecConfig` | `getAecConfig()` Gets the AEC configuration.
    `AgcConfig` | `getAgcConfig()` Gets the AGC configuration.
    `AnsConfig` | `getAnsConfig()` Gets the ANS configuration.
    `BghvsConfig` | `getBghvsConfig()` Gets the BGHVS configuration.
    `java.lang.String` | `getModelPath()` Gets the model path.
    `void` | `setAecConfig(AecConfig aecConfig)` Sets the AEC configuration.
    `void` | `setAgcConfig(AgcConfig agcConfig)` Sets the AGC configuration.
    `void` | `setAnsConfig(AnsConfig ansConfig)` Sets the ANS configuration.
    `void` | `setBghvsConfig(BghvsConfig bghvsConfig)` Sets the BGHVS configuration.
    `void` | `setModelPath(java.lang.String modelPath)` Sets the model path.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### modelPath

          private java.lang.String modelPath

      The file path to the audio processing model.

    - #### aecConfig

          private AecConfig aecConfig

      The configuration for Acoustic Echo Cancellation (AEC).

    - #### ansConfig

          private AnsConfig ansConfig

      The configuration for Automatic Noise Suppression (ANS).

    - #### agcConfig

          private AgcConfig agcConfig

      The configuration for Automatic Gain Control (AGC).

    - #### bghvsConfig

          private BghvsConfig bghvsConfig

      The configuration for Background Human Voice Suppression (BGHVS).

  - ### Constructor Detail

    - #### AgoraAudioProcessorConfig

          public AgoraAudioProcessorConfig()

      Constructs an AgoraAudioProcessorConfig with default settings.

    - #### AgoraAudioProcessorConfig

          public AgoraAudioProcessorConfig(java.lang.String modelPath,
                                           AecConfig aecConfig,
                                           AnsConfig ansConfig,
                                           AgcConfig agcConfig,
                                           BghvsConfig bghvsConfig)

      Constructs an AgoraAudioProcessorConfig with specified settings.
      Parameters:
        `modelPath` - Model path
        `aecConfig` - AEC configuration
        `ansConfig` - ANS configuration
        `agcConfig` - AGC configuration
        `bghvsConfig` - BGHVS configuration

  - ### Method Detail

    - #### getModelPath

          public java.lang.String getModelPath()

      Gets the model path.
      Returns:
        Model path

    - #### setModelPath

          public void setModelPath(java.lang.String modelPath)

      Sets the model path.
      Parameters:
        `modelPath` - Model path

    - #### getAecConfig

          public AecConfig getAecConfig()

      Gets the AEC configuration.
      Returns:
        AEC configuration

    - #### setAecConfig

          public void setAecConfig(AecConfig aecConfig)

      Sets the AEC configuration.
      Parameters:
        `aecConfig` - AEC configuration

    - #### getAnsConfig

          public AnsConfig getAnsConfig()

      Gets the ANS configuration.
      Returns:
        ANS configuration

    - #### setAnsConfig

          public void setAnsConfig(AnsConfig ansConfig)

      Sets the ANS configuration.
      Parameters:
        `ansConfig` - ANS configuration

    - #### getAgcConfig

          public AgcConfig getAgcConfig()

      Gets the AGC configuration.
      Returns:
        AGC configuration

    - #### setAgcConfig

          public void setAgcConfig(AgcConfig agcConfig)

      Sets the AGC configuration.
      Parameters:
        `agcConfig` - AGC configuration

    - #### setBghvsConfig

          public void setBghvsConfig(BghvsConfig bghvsConfig)

      Sets the BGHVS configuration.
      Parameters:
        `bghvsConfig` - BGHVS configuration

    - #### getBghvsConfig

          public BghvsConfig getBghvsConfig()

      Gets the BGHVS configuration.
      Returns:
        BGHVS configuration

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`